causality {mRMRe} | R Documentation

## Accessor function for the 'causality' information in a mRMRe.Filter and mRMRe.Network object.

### Description

The causality data is compute using the co-information lattice algorithm on each V-structure (feature, target, feature). Given that this procedure is computed for each pair of features, the minimum result is kept. A negative score indicates putative causality of the feature to the target.

### Usage

    ## S4 method for signature 'mRMRe.Filter'
    causality(object)
    ## S4 method for signature 'mRMRe.Network'
    causality(object)

### Arguments

`object` | a `mRMRe.Filter or mRMRe.Network` object.

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    set.thread.count(2)
    data(cgps)
    feature_data <- mRMR.data(data =  data.frame(cgps.ge))
    filter <- mRMR.classic("mRMRe.Filter", data = feature_data, target_indices = 3:5,
    						feature_count = 2)
    causality(filter)

[Package mRMRe version 2.0.9 Index]